[LAU] Compiling vamp-sdk and Rubber Band on Ubuntu Studio 64

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: <linux-audio-user@...>
Date: Friday, August 29, 2008 - 10:49 pm

Maybe someone can help me out with this?

vamp-sdk appears to have no install targets, so I move everything
manually to their places, but the configure script for Rubber Band still
misses it. I'm running into all sorts of errors I've never seen before.

Within the vamp source directory, I can do:

make sdk

and get that to work okay. Then what? The README also says I need to
alter the Makefile to "suit my system", but when I try to change to
directory paths at the beginning to places like /usr/include/vamp and
/usr/local/lib/vamp-sdk, I just get an error saying those build targets
don't exist. I did use sudo.

Apparently, vamp needs to show up in something called PKG_CONFIG_PATH,
which right now on my system has absolutely nothing in it. I've read the
pkg-config man page, and am no closer to solving this issue.

Thanks for the help.

-- Darren Landrum
_______________________________________________
Linux-audio-user mailing list
Linux-audio-user@lists.linuxaudio.org
http://lists.linuxaudio.org/mailman/listinfo/linux-audio-user

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[LAU] Compiling vamp-sdk and Rubber Band on Ubuntu Studio 64, Darren Landrum, (Fri Aug 29, 10:49 pm)